Bug 10852 - Anaconda crashes in both upgrade and fresh install - can't find file
Anaconda crashes in both upgrade and fresh install - can't find file
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-04-16 06:14 EDT by Knut Haugen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-17 11:09:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Knut Haugen 2000-04-16 06:14:40 EDT
This bug has been reproduced (independantly) on an Dell Optiplex gxPRO
200, 96 MB Ram SCSI/IDE, in an attempt to upgrade, and a fresh install on
a brand new PIII 550 machine, 256 RAM made by No. hardware-vendor Tech
Computers. The diffrence in hardware is obviuos.

This bug was not on the list of fixed errata for the boot-image upgrades
and is therefore submitted.

The installer crashes when it is supposed to start copying packages to the
disk. The appended trace is what shows up on one of the consoles in use by
the installer. The gui just hangs.


Exception in thread Thread-3:
Traceback ( innermost last):
  File "/usr/lib/python1.5/threading.py", line 376, in __bootstrap
    self.run ()
  File "/usr/lib/anaconda/iw/progress.py", line 16, in run
    rc = self.todo.install ()
  File "/usr/lib/anaconda/todo.py" line 1169, in doInstall
    self.instLog = open (self.instPath + logname, "w+" )
 IOError: [Errno: 2] No such file or directory:
Comment 1 Jay Turner 2000-04-17 11:09:59 EDT
By any chance is /tmp a symbolic link to another filesystem?  The installer is
not able to deal with /tmp being an absolute link to another filesystem and I am
pretty sure this is the problem you are seeing.  If this is indeed the case,
then try changing the absolute link to a symbolic link and try the upgrade
again.  Please reopen this bug if you continue to have problems.

Note You need to log in before you can comment on or make changes to this bug.